require('dotenv').config();
const apiUtils = require('../utils/apiUtils');


exports.blockTicketRequest = async (seatSellerPayload) => {
  try {
    console.log("body string conversion");
    const req_body = JSON.stringify(seatSellerPayload);
    const apiEndPoint = "/blockTicket";
    const method = "post";
    console.log("req_body:", req_body);
    console.log("method:", method);
    
    console.log("sending request for apicall");
    const response = await apiUtils.autherisedApiCall(apiEndPoint, method, {}, req_body);


    return (response.data? response.data : response);
  } catch (error) {
    //console.log(error);
    throw error;
  }
};


